API Reference
Channel Product Map
3 endpoints· Auth: JWT or API Key
get
/api/v1/console/delivery/channels/{channelId}/product-map JWT API KeyGet product-map
Path parameters
| channelIdrequired string (uuid) | — |
Query parameters
| ProductId string (uuid) | — |
| IncludeDeleted boolean | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/delivery/channels/{channelId}/product-map" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/delivery/channels/{channelId}/product-map JWT API KeyCreate product-map
Path parameters
| channelIdrequired string (uuid) | — |
Request body
application/json
{
"externalProductRef": "string",
"productId": "00000000-0000-0000-0000-000000000000"
}| externalProductRef string | — |
| productId string (uuid) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/delivery/channels/{channelId}/product-map" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"externalProductRef": "string",
"productId": "00000000-0000-0000-0000-000000000000"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/console/delivery/channels/{channelId}/product-map/{mapId} JWT API KeyDelete mapId
Path parameters
| channelIdrequired string (uuid) | — |
| mapIdrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/delivery/channels/{channelId}/product-map/{mapId}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu